InstallOptions
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.install
Class InstallOptions

    java.lang.Object
      org.apache.ivy.core.install.InstallOptions

    public class InstallOptions

extends java.lang.Object

Constructor Summary
`InstallOptions()`

Method Summary
`Filter` | `getArtifactFilter()`
`java.lang.String[]` | `getConfs()`
`java.lang.String` | `getMatcherName()`
`boolean` | `isOverwrite()`
`boolean` | `isTransitive()`
`boolean` | `isValidate()`
`InstallOptions` | `setArtifactFilter(Filter artifactFilter)`
`InstallOptions` | `setConfs(java.lang.String[] conf)`
`InstallOptions` | `setMatcherName(java.lang.String matcherName)`
`InstallOptions` | `setOverwrite(boolean overwrite)`
`InstallOptions` | `setTransitive(boolean transitive)`
`InstallOptions` | `setValidate(boolean validate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstallOptions

    public InstallOptions()

Method Detail

### isTransitive

    public boolean isTransitive()

### setTransitive

    public InstallOptions setTransitive(boolean transitive)

### isValidate

    public boolean isValidate()

### setValidate

    public InstallOptions setValidate(boolean validate)

### isOverwrite

    public boolean isOverwrite()

### setOverwrite

    public InstallOptions setOverwrite(boolean overwrite)

### getArtifactFilter

    public Filter getArtifactFilter()

### setArtifactFilter

    public InstallOptions setArtifactFilter(Filter artifactFilter)

### getMatcherName

    public java.lang.String getMatcherName()

### setMatcherName

    public InstallOptions setMatcherName(java.lang.String matcherName)

### getConfs

    public java.lang.String[] getConfs()

### setConfs

    public InstallOptions setConfs(java.lang.String[] conf)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD